#ifndef Y_MESSAGE_CLIENT_P_H
#define Y_MESSAGE_CLIENT_P_H

#include <Y/y.h>
#include <Y/message/client.h>
#include <Y/util/list.h>

struct Client
{
  const struct ClientClass *c;
  int id;
  struct Index *objects;
};

struct ClientClass
{
  char *name;
  void (*sendMessage) (struct Client *, struct Message *);
  void (*close)       (struct Client *);
};

/* for putting clients in Indices */
int clientKeyFunction (void *, void *);
int clientComparisonFunction (void *, void *);

#endif /* header guard */

/* arch-tag: e1e72e42-ceb0-4268-89e1-8552d39a3839
 */
