dnl
dnl LIBITERM CHECK script

AC_DEFUN(LIBITERM_CHECK,
[dnl
dnl Get the cflags and libraries from the sdl-config program
dnl
AC_ARG_WITH(libiterm-prefix,AC_HELP_STRING([--with-libiterm-prefix],[Prefix where libiterm is installed (optional)]),
            libiterm_prefix="$withval", libiterm_prefix="")

  LIBITERM_LIBS="-literm"

  if test x$libiterm_prefix != x ; then
    LIBITERM_CPPFLAGS="-I$libiterm_prefix/include"
    LIBITERM_LIBS="-L$libiterm_prefix/lib -literm"
  fi

  AC_SUBST(LIBITERM_CPPFLAGS)
  AC_SUBST(LIBITERM_LIBS)
])

  

