
#include <Y/c++.h>
#include <sigc++/bind.h>
#include "sample.h"

#include <iostream>

using namespace SigC;
using namespace std;

Sample::Sample ()
{
  window = new Y::Window ();
  window -> setProperty ("title", "Sample Application");

  grid = new Y::GridLayout ();
  window -> setChild (grid);

  window -> requestClose.connect (bind (slot (&exit), EXIT_SUCCESS));

  samplelabel = new Y::Label ();
  samplelabel -> setProperty ("text", "The Y Window System");
  samplelabel -> setProperty ("alignment", "center");
  grid -> addWidget (samplelabel, 0, 0, 7, 1);

  samplebutton = new Y::Button ();
  samplebutton -> setProperty ("text", "Sample Button");
  grid -> addWidget (samplebutton, 0, 1, 3);

  samplecheckbox = new Y::CheckBox ();
  samplecheckbox -> setProperty ("text", "Sample Check Box");
  grid -> addWidget (samplecheckbox, 4, 1, 3);

  window -> show ();
}

Sample::~Sample ()
{
}


int
main (int argc, char **argv)
{
  Y::Y::initialise (&argc, &argv);
  Sample s;
  Y::Y::run ();
}

/* arch-tag: e5a4fbe8-beb9-4c65-8e48-28489a967a50
 */
