
#include <Y/c++/gridlayout.h>
#include <Y/c++/y.h>

#include <sstream>

using std::ostringstream;

int Y::GridLayout::gridlayoutClassId = 0;

Y::GridLayout::GridLayout ()
{
  if (gridlayoutClassId == 0)
    gridlayoutClassId = Y::Y::findClassId ("GridLayout");

  create (gridlayoutClassId);
}

Y::GridLayout::~GridLayout ()
{
}

void
Y::GridLayout::addWidget (Widget *child, int x, int y, int w, int h)
{
  if (child != NULL)
    {
      ostringstream ss;
      ss << "addWidget" << Y::sep
         << child->getId() << Y::sep
         << x << Y::sep << y << Y::sep
         << w << Y::sep << h << Y::sep;
      invokeMethod (ss.str(), false);
    }
}


/* arch-tag: e2494694-d268-405c-b059-82e2de0d653b
 */
