#ifndef Y_CPP_WINDOW_H
#define Y_CPP_WINDOW_H

#include <Y/c++/widget.h>

namespace Y
{
  class Window : public Widget
  {
    public:
      Window ();
      virtual ~Window ();

      void show ();
      void setChild (Widget *);
      void setFocussed (Widget *);

      SigC::Signal0<void> requestClose;

    protected:
      virtual void onEvent (const string &, const vector<string> &);

    private:
      static int windowClassId;
  };
}

#endif

/* arch-tag: 86645ee9-343e-4880-9c1e-0d10fd93b192
 */
